Home

Filter transfer logs

POST
https://meter.nownodes.io/transfers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Body

application/json

transfer log filter criteria

rangeFilterRange

defines the range to filter in. e.g.

Copied!
{
  "range": {
    "unit": "block",
    "from": 10,
    "to": 1000
  }
}

refers to the range from block 10 to block 1000. null stands for the full range.

Show child attributes
unitstringblocktime

defines the unit of from and to. block means block number, time means block timestamp, default to block.

frominteger<uint64>
tointeger<uint64>
optionsFilterOptions

pass these parameters if you need filtered results paged. e.g.

Copied!
{
  "options": {
    "offset": 0,
    "limit": 10   
  }
}

the above refers that page offset is 0, and the page size is 10. pass options null if you don't need to demand paging.

Show child attributes
offsetinteger

offset in matched record set

limitinteger

limit of records to output

addressSetsArray<AddressSetLegacy>
Show child attributes
txOriginstring
senderstring
recipientstring

Parameters

orderstringascdescquery

order of filters, defaults to asc

Response

200OK

OK